STARTSLIP(1)

NAME
startslip - dial up and login to a slip server

SYNOPSIS
startslip [-d] [-b speed] [ -s string1 [-s string2 [...]] ] [-h] [-l] [-L] [-A annexname] [-U upscript] [-D downscript] [-t script_timeout] [-W maxtries] [-w retry_pause] [-K keepalive] [-O outfill] [-S unit] device user passwd

DESCRIPTION

Startslip opens the specified device. Once carrier is asserted (if modem control is enabled) startslip attempts to login as the specified user with the given password. Standard login: & Password: scheme assumed unless Annex option specified (see -A). If successful, it puts the device into the slip line discipline, calls upscript and goes to wait mode. If carrier drops (modem control enabled) or a SIGHUP is sent to startslip, it closes the device, calls downscript and attempts to repeat the dialup and login sequence. If a SIGTERM is send to startslip, it closes the device, calls downscript and exits. When startslip called twice on the same device, previous copy killed by a SIGTERM before any operation.

Available options:

-d  Startslip prints out debugging information about what it is trying to do.

-b speed
    Determines the baud rate used for device. Default value is 9600.

-t script_timeout
    Set login script timeout in seconds, default value is 90.

-w retry_pause
    Set connecting retry pause in seconds (increased from one retry to another), default value is 60.

-W maxtries
    Set maximum number of connection retries for one session, default value is 6. Value 0 means infinite count.

-s stringN
    The optional stringN is written to device. Return character is added automatically. For a dialup modem, the string is used to specify a dial sequence. No string written by default. You can specify several -s stringN arguments to use with each try, f.e. several host phone numbers.

-A annexname
    Startslip assumes it is connecting to a Xylogics Annex box and engages in an appropriate dialog using the user and passwd arguments. The annexname argument is a string that is used to match against the Annex prompt to determine when a connection has been established.

-h  Use hardware (CTS/RTS) flow control for device. Default value is no flow control.

-l  Disable modem control (waiting for carrier and carrier drop sense) for device. Modem control is enabled by default.

-U upscript
    Specifies a script to run when a SLIP interface becomes connected. This may contain ifconfig, route, and other appropriate commands. The arguments that are passed to the script are "slX up". Default value is "/sbin/ifconfig". Dial sequence number (see -s) passed via LINE environment variable.

-D downscript
    Specifies a script to run when a SLIP connection goes away. The arguments that are passed to the script are "slX down". Default value is "/sbin/ifconfig". Dial sequence number (see -s) passed via LINE environment variable.

-K keepalive
    Set SLIP "keep alive" timeout in seconds. If FRAME_END not received during this time period, a reconnect will occur. Active "out fill" timeout expected from other side. Default value is no timeout.

-O outfill
    Set SLIP "out fill" timeout in seconds. It causes at least one FRAME_END to be sent during this timeout. Needed for "keep alive" timeout on other side. Default value is no timeout.

-S unit
    Set SLIP unit number directly. Use with caution, no check for two interfaces with same number made. Default is dynamic assignment.

-L  Use uucp-style device locking. You need it unless you start startslip from external program which already does uucp locking. Default case is no uucp locking to satisfy such programs.

FILES
/var/run/startslip.<device>.pid
    pid stored here

SEE ALSO
uustat(1), slattach(8), sliplogin(8), /usr/share/examples/startslip

HISTORY
The startslip appeared in 4.4BSD.